[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetChildren

Calls the specified procedure for each child control with Root as the Owner.

## Declaration

Source position: controls.pp line 2186

`protected procedure TWinControl.GetChildren(`
`Proc: TGetChildProc;`
`Root: TComponent`
`); override;`

## Arguments

`Proc` |  | The callback procedure.
`Root` |  | Owner of the controls passed to the procedure.

## Description

Iterates the values in Controls to locate any controls where Root is the Owner of the control instance. Calls the procedure in Proc using the control instance as an argument. An application must implement an object procedure using the signature in TGetChildProc, and pass the procedure in the Proc argument.